Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355841 - Dialogue Input are truncated when submitted
Summary: Dialogue Input are truncated when submitted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.0
Assignee: eclarizi
QA Contact: Matouš Mojžíš
URL:
Whiteboard: automate:dialog:ui
Depends On:
Blocks: 1356973
TreeView+ depends on / blocked
 
Reported: 2016-07-12 17:11 UTC by Loic Avenel
Modified: 2018-03-15 12:24 UTC (History)
13 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1356973 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:05:09 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Loic Avenel 2016-07-12 17:11:41 UTC
Description of problem:
When typing input in Dialog Text field and click submit, input are truncated in dialog object

Version-Release number of selected component (if applicable):
CF 4.1

How reproducible:
Always

Steps to Reproduce:
1. Create Dilog with Text field
2. Type text input and quickly click submit
3.

Actual results:

Text is truncated in Dialog object.

Expected results:

Text not truncated

Additional info:

Network is slow and Desktop is slow...

Comment 2 Loic Avenel 2016-07-12 17:13:31 UTC
Ticket request by Greg M to identify a new bug different from ticket 

https://bugzilla.redhat.com/show_bug.cgi?id=1344062

Comment 3 eclarizi 2016-07-15 07:12:04 UTC
I think this description is inaccurate, when Greg M and I were on a video call with Henry, he showed us these steps:
1. Have a dialog with a text box and a dynamic drop down that has a refresh button.
2. Type into the text box and immediately click the refresh button next to the drop-down.
3. Observe the missing data upon submit.

I was able to reproduce the issue locally with those steps, but not with the original. Also looking at the code, it should be waiting if you simply hit the submit button, but the refreshes are not.

Comment 8 CFME Bot 2016-07-18 21:05:53 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/9f5b43ecf27ae61a4f666732964a96d2a5257164

commit 9f5b43ecf27ae61a4f666732964a96d2a5257164
Author:     Erik Clarizio <eclarizi@redhat.com>
AuthorDate: Mon Jul 18 09:08:27 2016 -0700
Commit:     Erik Clarizio <eclarizi@redhat.com>
CommitDate: Mon Jul 18 09:08:27 2016 -0700

    Remove interval from data-miq_observe on textbox and textarea boxes
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1355841

 app/helpers/application_helper/dialogs.rb       | 2 --
 spec/helpers/application_helper/dialogs_spec.rb | 6 ++----
 2 files changed, 2 insertions(+), 6 deletions(-)

Comment 9 CFME Bot 2016-07-18 21:05:58 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/7234f071890f40232918cc14e39daa2fb19b59f8

commit 7234f071890f40232918cc14e39daa2fb19b59f8
Author:     Erik Clarizio <eclarizi@redhat.com>
AuthorDate: Mon Jul 18 09:09:07 2016 -0700
Commit:     Erik Clarizio <eclarizi@redhat.com>
CommitDate: Mon Jul 18 09:09:07 2016 -0700

    Use leading: true for observe and miqSelectPickerEvent debounces
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1355841

 app/assets/javascripts/miq_application.js  | 2 +-
 app/assets/javascripts/miq_ujs_bindings.js | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

Comment 10 CFME Bot 2016-07-18 21:06:03 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/bba103a6a82ab256ae97f742651de3666dcf4459

commit bba103a6a82ab256ae97f742651de3666dcf4459
Author:     Erik Clarizio <eclarizi@redhat.com>
AuthorDate: Fri Jul 15 00:38:42 2016 -0700
Commit:     Erik Clarizio <eclarizi@redhat.com>
CommitDate: Fri Jul 15 12:31:49 2016 -0700

    Ensure dialog field refreshes wait for requests in the MiqObserve queue
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1355841

 app/assets/javascripts/dialog_field_refresh.js | 155 ++++++++-------
 app/assets/javascripts/miq_application.js      |   1 +
 spec/javascripts/dialog_field_refresh_spec.js  | 252 +++++++++++++++++++++++--
 3 files changed, 320 insertions(+), 88 deletions(-)

Comment 13 Matouš Mojžíš 2016-12-07 14:52:11 UTC
Verified in 5.7.0.14. When typing in the text box and then rapidly clicking on Refresh I can see in the logs, that string/int text field was sent correctly without being truncated.

Comment 15 Matouš Mojžíš 2018-03-15 12:24:06 UTC
One time issue. Setting qe_test_coverage flag to -.


Note You need to log in before you can comment on or make changes to this bug.